CREATE TABLE single_choices (
    id NUMBER(19) PRIMARY KEY,
    title VARCHAR2(1000 CHAR) NOT NULL ,
    chat_message_id NUMBER(19) NOT NULL REFERENCES chat_messages(id),
    value VARCHAR2(1000 CHAR) NOT NULL ,
    deleted NUMBER(1) NOT NULL,

    created_at TIMESTAMP WITH TIME ZONE NOT NULL,
    updated_at TIMESTAMP WITH TIME ZONE NOT NULL,
    deleted_at TIMESTAMP WITH TIME ZONE
);

CREATE SEQUENCE single_choices_id_seq;
